#
# Please do not update/rebuild/touch this package before asking first
# neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Summary:        Library to easily use clients based on wlr-layer-shell
Name:           layer-shell-qt
Version: 6.4.1
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/plasma/%{version}/%{name}-%{version}.tar.xz

## Upstream master branch patches

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Gui) >= 6.6
BuildRequires:  cmake(Qt6WaylandClient) >= 6.6
BuildRequires:  cmake(Qt6Network) >= 6.6
BuildRequires:  cmake(Qt6Qml) >= 6.6
BuildRequires:  cmake(Qt6) >= 6.6
BuildRequires:  cmake(Qt6Core) >= 6.6

BuildRequires:  cmake(PlasmaWaylandProtocols)

BuildRequires:  pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(wayland-protocols)

%description
Qt component to allow applications to make use of the Wayland
wl-layer-shell protocol.

%files
%_qt6_plugindir/wayland-shell-integration/liblayer-shell.so
%_qt6_qmldir/org/kde/layershell/

#--------------------------------------------------------------------

%define layershellqtinterface_major 6
%define liblayershellqtinterface %mklibname layershellqtinterface %{layershellqtinterface_major}

%package -n %liblayershellqtinterface
Summary:        %name library
Group:          System/Libraries
Requires:       %{name} >= %{version}-%{release}

%description -n %liblayershellqtinterface
%name component library.

%files -n %liblayershellqtinterface
%_kf6_libdir/libLayerShellQtInterface.so.%{layershellqtinterface_major}
%_kf6_libdir/libLayerShellQtInterface.so.%{version}

#--------------------------------------------------------------------

%define layer_shell_qt_devel %mklibname %name -d

%package -n %layer_shell_qt_devel
Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Provides:       %name-devel = %{version}-%{release}

Requires:       %name = %{version}-%{release}
Requires:       %liblayershellqtinterface = %{version}-%{release}

%description -n %layer_shell_qt_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %layer_shell_qt_devel
%_includedir/LayerShellQt/
%_kf6_libdir/cmake/LayerShellQt/
%_kf6_libdir/libLayerShellQtInterface.so

#--------------------------------------------------------------------

%prep
%autosetup -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install


%changelog
* Wed Jun 25 2025 daviddavid <daviddavid> 6.4.1-1.mga10
+ Revision: 2194416
- New version 6.4.1

* Tue Jun 17 2025 daviddavid <daviddavid> 6.4.0-1.mga10
+ Revision: 2192231
- New version 6.4.0

* Fri May 30 2025 daviddavid <daviddavid> 6.3.91-1.mga10
+ Revision: 2187019
- New version 6.3.91

* Tue May 06 2025 daviddavid <daviddavid> 6.3.5-1.mga10
+ Revision: 2181367
- New version 6.3.5

* Wed Apr 02 2025 daviddavid <daviddavid> 6.3.4-1.mga10
+ Revision: 2172641
- New version 6.3.4

* Thu Mar 13 2025 daviddavid <daviddavid> 6.3.3-1.mga10
+ Revision: 2163300
- New version 6.3.3

* Tue Feb 25 2025 daviddavid <daviddavid> 6.3.2-1.mga10
+ Revision: 2152461
- New version 6.3.2

* Tue Feb 18 2025 daviddavid <daviddavid> 6.3.1-1.mga10
+ Revision: 2149393
- New version 6.3.1

* Tue Feb 11 2025 daviddavid <daviddavid> 6.3.0-1.mga10
+ Revision: 2146918
- New version 6.3.0

* Thu Jan 23 2025 daviddavid <daviddavid> 6.2.91-1.mga10
+ Revision: 2140817
- New version 6.2.91

* Sat Jan 11 2025 daviddavid <daviddavid> 6.2.90-1.mga10
+ Revision: 2137960
- New version 6.2.90

* Wed Jan 01 2025 daviddavid <daviddavid> 6.2.5-1.mga10
+ Revision: 2134177
- New version 6.2.5

* Tue Nov 26 2024 daviddavid <daviddavid> 6.2.4-1.mga10
+ Revision: 2119050
- New version 6.2.4

* Sat Nov 09 2024 daviddavid <daviddavid> 6.2.3-1.mga10
+ Revision: 2113160
- New version 6.2.3

* Tue Oct 22 2024 daviddavid <daviddavid> 6.2.2-1.mga10
+ Revision: 2110041
- New version 6.2.2

* Wed Oct 16 2024 daviddavid <daviddavid> 6.2.1-1.mga10
+ Revision: 2107218
- New version 6.2.1

* Wed Oct 09 2024 daviddavid <daviddavid> 6.2.0-1.mga10
+ Revision: 2104447
- New version 6.2.0

* Thu Sep 12 2024 neoclust <neoclust> 6.1.90-1.mga10
+ Revision: 2095394
- New version 6.1.90

* Wed Aug 07 2024 daviddavid <daviddavid> 6.1.4-1.mga10
+ Revision: 2083909
- New version 6.1.4

* Tue Jul 02 2024 daviddavid <daviddavid> 6.1.2-1.mga10
+ Revision: 2079118
- New version 6.1.2

* Tue Jun 25 2024 daviddavid <daviddavid> 6.1.1-1.mga10
+ Revision: 2076715
- New version 6.1.1

* Tue Jun 18 2024 neoclust <neoclust> 6.1.0-1.mga10
+ Revision: 2074823
- New version 6.1.0

* Tue Jun 04 2024 neoclust <neoclust> 6.0.90-1.mga10
+ Revision: 2069809
- New version 6.0.90

* Tue Apr 16 2024 daviddavid <daviddavid> 6.0.4-1.mga10
+ Revision: 2057917
- New version 6.0.4

* Wed Mar 27 2024 daviddavid <daviddavid> 6.0.3-1.mga10
+ Revision: 2052480
- New version 6.0.3

* Tue Mar 12 2024 daviddavid <daviddavid> 6.0.2-1.mga10
+ Revision: 2049394
- New version 6.0.2

* Thu Mar 07 2024 daviddavid <daviddavid> 6.0.1-1.mga10
+ Revision: 2048143
- New version 6.0.1

* Wed Feb 28 2024 neoclust <neoclust> 6.0.0-1.mga10
+ Revision: 2045001
- New version 6.0.0

* Fri Feb 02 2024 neoclust <neoclust> 5.93.0-1.mga10
+ Revision: 2036790
- New version 5.93.0

* Fri Jan 12 2024 neoclust <neoclust> 5.92.0-1.mga10
+ Revision: 2030218
- New version 5.92.0

* Mon Jan 01 2024 neoclust <neoclust> 5.91.0-1.mga10
+ Revision: 2025691
- New version 5.91.0
- New version 5.90.0
- New version 5.90.0

* Sun Nov 12 2023 neoclust <neoclust> 5.27.80-1.mga10
+ Revision: 2006155
- New version 5.27.80

* Wed Oct 25 2023 daviddavid <daviddavid> 5.27.9-1.mga10
+ Revision: 2001118
- New version 5.27.9

* Wed Sep 20 2023 daviddavid <daviddavid> 5.27.8-1.mga10
+ Revision: 1988245
- New version 5.27.8

* Wed Aug 09 2023 daviddavid <daviddavid> 5.27.5-2.mga9
+ Revision: 1964563
- lib sub-pkg requires main pkg

* Fri May 26 2023 neoclust <neoclust> 5.27.5-1.mga9
+ Revision: 1958048
- New version 5.27.5

* Mon Apr 10 2023 neoclust <neoclust> 5.27.4-1.mga9
+ Revision: 1951961
- New version 5.27.4

* Wed Mar 15 2023 neoclust <neoclust> 5.27.3-1.mga9
+ Revision: 1949086
- New version 5.27.3

* Tue Feb 28 2023 neoclust <neoclust> 5.27.2-1.mga9
+ Revision: 1945875
- New version 5.27.2

* Sun Feb 26 2023 daviddavid <daviddavid> 5.27.1-2.mga9
+ Revision: 1945551
- backport fix for multi-screen sddm
- improve summary

* Wed Feb 22 2023 daviddavid <daviddavid> 5.27.1-1.mga9
+ Revision: 1944805
- New version 5.27.1

* Tue Feb 14 2023 neoclust <neoclust> 5.27.0-1.mga9
+ Revision: 1942072
- New version 5.27.0

* Mon Jan 23 2023 neoclust <neoclust> 5.26.90-1.mga9
+ Revision: 1935080
- New version 5.26.90

* Thu Jan 05 2023 daviddavid <daviddavid> 5.26.5-1.mga9
+ Revision: 1930069
- New version 5.26.5

* Thu Dec 15 2022 neoclust <neoclust> 5.26.4-1.mga9
+ Revision: 1923121
- New version 5.26.4

* Tue Nov 15 2022 neoclust <neoclust> 5.26.3-1.mga9
+ Revision: 1907540
- New version 5.26.3

* Sat Oct 29 2022 neoclust <neoclust> 5.26.2-1.mga9
+ Revision: 1900083
- New version 5.26.2

* Fri Sep 16 2022 neoclust <neoclust> 5.25.90-1.mga9
+ Revision: 1889254
- New version 5.25.90

* Fri Aug 05 2022 neoclust <neoclust> 5.25.4-1.mga9
+ Revision: 1875471
- New version 5.25.4

* Tue Jul 26 2022 neoclust <neoclust> 5.25.3-1.mga9
+ Revision: 1872284
- New version 5.25.3
- New version 5.25.3
- New version 5.24.5

* Tue Apr 05 2022 umeabot <umeabot> 5.24.4-2.mga9
+ Revision: 1844750
- Mageia 9 Mass Rebuild
+ neoclust <neoclust>
- New version 5.24.4

* Sun Jan 02 2022 neoclust <neoclust> 5.23.4-1.mga9
+ Revision: 1766196
- New version 5.23.4

* Mon Nov 15 2021 neoclust <neoclust> 5.23.3-1.mga9
+ Revision: 1756881
- New version 5.23.3

* Fri Oct 08 2021 neoclust <neoclust> 5.23.0-1.mga9
+ Revision: 1750111
- New version 5.23.0

* Sun Oct 03 2021 neoclust <neoclust> 5.22.90-1.mga9
+ Revision: 1749045
- New version 5.22.90

* Sat Jul 17 2021 neoclust <neoclust> 5.22.3-1.mga9
+ Revision: 1736432
- imported package layer-shell-qt

